EDIT - bug #8184

SpecimenTypedesignationEditor: add new specimen broken Chrome browser
03/18/2019 05:45 PM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.6

Severity: normal Found in Version:

Description

In Vaadin, type specimen editor a new line is created when a typ is selected.
This functions in FireFox. This does not work in the Chrome browser

Originally reported by Heba:
"Working with Win10+Croome no new line is created" (Heba)

Just an idea: like in other parts of Vaadin menues, it should be possible to add a new type by clicking on a PLUS symbol (this has
low priority)

Related issues:
Related to EDIT - bug #8227: PhycoBank Ul and Safari Worksforme

Associated revisions

Revision 86f09e7b - 03/22/2019 07:16 PM - Andreas Kohlbecker

fix #8184 using NativeSelect instead of ListSelect to avoid circumvent a bug in the ListSelect which affects the Chrome browser

Revision 16ee34cb - 03/22/2019 07:21 PM - Andreas Kohlbecker

fix #8184 using NativeSelect instead of ListSelect to avoid circumvent a bug in the ListSelect which affects the Chrome browser

Revision 97¢6b732 - 03/22/2019 09:31 PM - Andreas Kohlbecker
ref #8184 reverting typedesignation status filter back to ListSelect

Revision 7ebcfd4b - 03/27/2019 11:39 AM - Andreas Kohlbecker
ref #8184 reverting typedesignation status filter back to ListSelect

History

#1 - 03/19/2019 09:56 AM - Andreas Kohlbecker

- Subject changed from add new specimen to SpecimenTypedesignationEditor: add new specimen broken Chrome browser
- Description updated

- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.6

#2 - 03/21/2019 11:43 AM - Andreas Kohlbecker

Specimen Editor: auch der erste Typus lasst sich nicht speichern (kritisch)

#3 - 03/22/2019 07:18 PM - Andreas Kohlbecker

this seems to be a bug in the ListSelect which affects the Chrome browser

#4 - 03/22/2019 07:18 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|86f09e7b2e34{272b2f4769f5{7tb3729fea7ef7.
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/86f09e7b2e34f272b2f4769f5f7fb3729fea7ef7

#5 - 03/22/2019 07:19 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

please review with Heba if this still occurs

#6 - 04/11/2019 02:10 PM - Wolf-Henning Kusber
Testsystem 09 April 2019.

saving types not possible. See also problems with Safari/Mac.

#7 - 04/11/2019 02:49 PM - Andreas Kohlbecker
- Status changed from Resolved to In Progress

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

#8 - 04/11/2019 05:49 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Release 5.7

#9 - 04/24/2019 11:57 AM - Andreas Kohlbecker
- Related to bug #8227: PhycoBank Ul and Safari added

#10 - 04/24/2019 01:01 PM - Andreas Kohlbecker
- Status changed from In Progress to Feedback

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

| tested with the the latest version of the Google Chrome Browser on Mac and on Windows 10 and had no problems.

Henning and Heba, please test again if you still can reproduce the problem.

#11 - 04/25/2019 09:59 AM - Wolf-Henning Kusber
- Status changed from Feedback to Resolved
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

No Problems in Chrome browser. Specimens can be saved, references can be selected. Ticket can be closed.

#12 - 04/25/2019 10:07 AM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- Target version changed from Release 5.7 to Release 5.6
